Detail Breakdown Trading Data (/markets/breakdown)

You can get the detail breakdown of trading data

Overview

Detail Breakdown Trading Data is extracted from daily trading values and volumes (only regular trading sessions on the TSE market) per TSE-listed issue based on flags for margin transactions and short selling that are attached to orders at the time of placement.

Please refer to pages 3-5 of the following document for information on how to prepare data and an explanation of the system. https://www.jpx.co.jp/english/markets/paid-info-alternative/tradingdata/b5b4pj000003cr9v-att/b5b4pj000003crh5.pdfarrow-up-right

Attention

circle-info
  • No retroactive adjustment will be made to the data that have undergone corporate action.

  • The data for Oct, 1st 2020 does not exist because trading was halted all day due to the failure of the equity trading system.

Parameter and Response

In your request message, either "code" or "date" must be specified. Combination of parameters in the request and results are as below.

Code
Date
From /To
Results

All historical data of a specific issue.

Data of a specific issue for the specified period.

All listed issue data for the specific date.

Get daily trading values and volumes.

GET https://api.jquants-pro.com/v2/markets/breakdown

Either "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27890 or 2789)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

from

String

starting point of data period

(e.g. 20210901 or 2021-09-01)

to

String

end point of data period

(e.g. 20210907 or 2021-09-07)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

date

String

date of data

(e.g. 20210907 or 2021-09-07)

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item

Variables other than Date and Code are represented by a combination of codes in the code list.

Variable
Description
Data type
Remark

Date

Trade date

String

YYYY-MM-DD

Code

Securities code

String

va_1_0_0

Long selling execution value

Number

va_1_0_5

Out of short selling (excluding new margin selling), execution value of orders not exempted from price restriction

Number

va_1_0_7

Out of short selling (excluding new margin selling), execution value of orders exempted from price restriction

Number

va_1_2_5

Out of new margin selling (sell orders that create new margin sell positions), execution value of orders not exempted from price restriction

Number

va_1_2_7

Out of new margin selling (sell orders that create new margin sell positions), execution value of orders exempted from price restriction

Number

va_1_4_0

Execution value of closing margin selling (sell orders that close existing margin buy positions)

Number

va_3_0_0

Long buying execution value

Number

va_3_2_0

Execution value of new margin buying (buy orders that create new margin buy positions)

Number

va_3_4_0

Execution value of closing margin buying (buy orders that close existing margin sell positions)

Number

vo_1_0_0

Long selling execution volume

Number

vo_1_0_5

Out of short selling (excluding new margin selling), execution volume of orders not exempted from price restriction

Number

vo_1_0_7

Out of short selling (excluding new margin selling), execution volume of orders exempted from price restriction

Number

vo_1_2_5

Out of new margin selling (sell orders that create new margin sell positions), execution volume of orders not exempted from price restriction

Number

vo_1_2_7

Out of new margin selling (sell orders that create new margin sell positions), execution volume of orders exempted from price restriction

Number

vo_1_4_0

Execution volume of closing margin selling (sell orders that close existing margin buy positions)

Number

vo_3_0_0

Long buying execution volume

Number

vo_3_2_0

Execution volume of new margin buying (buy orders that create new margin buy positions)

Number

vo_3_4_0

Execution volume of closing margin buying (buy orders that close existing margin sell positions)

Number

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Sector17Code

17-Sector code

String

Sector33Code

33-Sector code

String

ScaleCategory

TOPIX Scale category

String

MarketCode

Market segment code

String

MarginCode

Flags of margin and loan issues

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

Sample Code

Last updated